Name:           anjuta
Version:        1.2.4a
Release:        4%{?dist}
Summary:        GNOME IDE for C and C++
Group:          Development/Tools
License:        GPL
URL:            http://anjuta.org/
Source0:        http://download.sourceforge.net/anjuta/anjuta-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Patch0: anjuta-encodings.patch
Patch1: project_type.patch
BuildRequires:  libgnomeui-devel >= 2.0.2
BuildRequires:  libbonoboui-devel >= 2.0.1
BuildRequires:  libgnomeprintui22-devel
BuildRequires:  ncurses-devel >= 5.0
BuildRequires:  pcre-devel >= 3.9
BuildRequires:  popt
BuildRequires:  vte-devel
BuildRequires:  scrollkeeper
BuildRequires:  libtool
BuildRequires:  gettext
BuildRequires:  desktop-file-utils
BuildRequires:	libgnome-devel
BuildRequires:	gtk2-devel
Epoch: 1
Requires:       pkgconfig libtool gettext-devel
Requires(post):   scrollkeeper
Requires(postun): scrollkeeper

%description
Anjuta is a versatile Integrated Development Environment (IDE) for C and C++.
It has been written for GTK/GNOME, and features a number of advanced
programming facilities. It is basically a GUI interface for the collection
of command line programming utilities and tools available for the GNU system.
These are usually run via a text console, and can be unfriendly to use.

This package includes anjuta_create_global_tags.sh, which will allow you to
create an up to date, local system.tags.


%package        docs
Summary:        Anjuta documentation
Group:          Development/Tools
Requires:       %{name} = %{?epoch:%{epoch}:}%{version}-%{release}

%description docs
Anjuta documentation.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
# configure option --enable-final does not work corretly on x86_64; Use
# -DNDEBUG in CFLAGS
#export CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS"
%configure --disable-static
%define libnoprefix %(echo %_libdir | sed 's,%_prefix/,,')
sed -i -e 's!\(.*PACKAGE_PLUGIN_DIR@,.*\)lib\(/anjuta.*\)!\1%{libnoprefix}\2!g' config.status ; ./config.status
make

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install
%find_lang %{name}

desktop-file-install --vendor fedora --delete-original \
  --dir %{buildroot}%{_datadir}/applications      \
  --add-category X-Fedora                              \
  %{buildroot}%{_datadir}/applications/%{name}.desktop

find %{buildroot} -type f -name "*.la" -exec rm -f {} ';'
rm -rf %{buildroot}%{_localstatedir}/scrollkeeper
rm -rf %{buildroot}%{_datadir}/doc/anjuta
install -p -m0755 global-tags/tm_global_tags %{buildroot}%{_bindir}/anjuta_tm_global_tags
install -m0755 global-tags/create_global_tags.sh %{buildroot}%{_bindir}/anjuta_create_global_tags.sh
perl -pi -e '
    s!(^PROGDIR=).*!$1%{_bindir}!;
    s!(^GLOBAL_TAGS_FILE=).*!$1%{_datadir}/%{name}/system.tags!;
    s!tm_global_tags!%{name}_tm_global_tags!g;
' %{buildroot}%{_bindir}/anjuta_create_global_tags.sh
pushd %{buildroot}%{_docdir}
ln -s anjuta-1.2.4 anjuta
popd

%clean
rm -rf %{buildroot}

%post docs
scrollkeeper-update -q

%postun docs
scrollkeeper-update -q

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%doc doc/ScintillaDoc.html
%{_bindir}/%{name}*
%{_libdir}/%{name}*
%{_datadir}/%{name}
%{_datadir}/doc/anjuta
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/pixmaps/%{name}
%{_datadir}/mime-info/anjuta.mime
%{_datadir}/mimelnk/application/x-anjuta-project.desktop
%{_datadir}/man/man1/anjuta*

%files docs
%defattr(-,root,root,-)
%{_datadir}/gnome/help/%{name}
%{_datadir}/omf/%{name}

%changelog
* Wed Jul 05 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.2.4a-4
- Fix for gtkmm
- altered to buildroot in spec file
- fix ownership problem

* Wed Jun 21 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.2.4a-3
- added remove-static to configure line
- minor alterations to install

* Thu May 11 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.2.4a-2
- rebuild

* Mon Apr 24 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.2.4a-1
- Bump to newer version

* Fri Mar 24 2006 Michael Schwendt <bugs.michael@gmx.net> - 1.2.4-5
- Added export dynamic
- trivial spec changes

* Fri Mar 24 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> - 1.2.4-4
- Added dependancies for gtk2-devel and libgnome-devel
- Re-instated debug
- Add symlink for documentation

* Wed Feb 22 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> - 1.2.4-3
- Added back in the epoch - oopsie!

* Mon Feb 20 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> - 1.2.4-2
- Added patch from Anjuta-bugzilla

* Sat Feb 17 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> - 1.2.4-1
- bumped to 1.2.4
- change of maintainer

* Thu Aug 18 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 1:1.2.3-3
- rebuilt

* Thu Jul  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 1:1.2.3-2
- Update to 1.2.3.
- Add gettext-devel dependency (Paul Frields).
- Add libtool (+automake, +autoconf) dependency.

* Thu Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 1:1.2.2-7
- rebuilt

* Thu Feb 10 2005 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 1:1.2.2-6
- configure option --enable-final does not work correctly on x86_64;
  Use -DNDEBUG in CFLAGS as suggested my Michael Schwendt;
  Fixes x86_64 crash (#147010)

* Thu Dec 16 2004 Michael Schwendt <mschwendt[AT]users.sf.net> - 1:1.2.2-5
- Add some sed magic in %%build which assumedly fixes x86_64 install.

* Wed Nov 10 2004 Matthias Saou <http://freshrpms.net/> 1:1.2.2-4
- Bump release to provide Extras upgrade path.
- Clean up ugly space/tabs mix.

* Tue Apr 13 2004 Phillip Compton <pcompton[AT]proteinmedia.com> - 1:1.2.2-0.fdr.2
- Remove Requires(foo,bar) notation.
- Grab modified upstream tarball.

* Tue Apr 13 2004 Phillip Compton <pcompton[AT]proteinmedia.com> - 1:1.2.2-0.fdr.1
- Updated to 1.2.2.

* Mon Feb 02 2004 Phillip Compton <pcompton[AT]proteinmedia.com> - 1:1.2.1-0.fdr.1
- Updated to 1.2.1.
- Now including modified system.tags creation tools.
- Req pkgconfig.

* Sun Dec 21 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 1:1.2.0-0.fdr.1
- Updated to 1.2.0.
- Dropped libzvt-devel BuildReq.
- Added docs sub-package to maintain compatibility w/ upstream spec.

* Sun Nov 09 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 1:1.1.98-0.fdr.1
- Updated to 1.1.98.

* Tue Sep 23 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 1:1.1.97-0.fdr.3
- brought spec more inline with current template.

* Fri Sep 19 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 1:1.1.97-0.fdr.2
- BuildReq libtool.

* Sat May 28 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 1:1.1.97-0.fdr.1
- Updated to 1.1.97.
- Added BuildReq scrollkeeper.
- Changed path of Source0.

* Thu May 22 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 1:1.1.1-0.fdr.4
- Fixed changelog typo.

* Thu May 22 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 1:1.1.1-0.fdr.3
- Killed off devel subpackage.
- Removed .a files.
- Removed post/postun ldconfig.

* Sat May 17 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 1:1.1.1-0.fdr.2
- Copyright -> License.
- GPL2 -> GPL.
- Split off a devel package.
- Removed .la files.
- Added post/postun scripts for ldconfig.
- Removed INSTALL from doc.
- Removed redundant doc entry.

* Sat May 10 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 1:1.1.1-0.fdr.1
- Fedorafied.
